Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class RobotRetriever

    java.lang.Object
      org.openqa.selenium.server.RobotRetriever

    public class RobotRetriever

extends java.lang.Object

Constructor Summary
`RobotRetriever()`

Method Summary
`static java.awt.Robot` | `getRobot()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotRetriever

    public RobotRetriever()

Method Detail

### getRobot

    public static java.awt.Robot getRobot()
                                   throws java.lang.InterruptedException,
                                          java.util.concurrent.ExecutionException,
                                          java.util.concurrent.TimeoutException

  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`
    `java.util.concurrent.TimeoutException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.